html {
  font-family: "Roboto Mono", monospace;
  background-color: #b0c4de;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(0, 0, 0, 0.05) 1px, transparent 1px);
  background-size: 32px 32px;
}

body {
  display: flex;
  flex-direction: column;
}

h1 {
  text-align: center;
}

.header-text {
  position: absolute;
  top: 20vh;
  left: 10vw;
  width: 150px;
  text-align: center;
  border: 3px solid black;
  padding: 7px;
  border-radius: 15px;
}

@media screen and (max-width: 1470px) {
  #floatingCircles {
    display: none !important;
  }

  header {
    margin-top: 10px;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
  }

  .header-text {
    position: relative;
    top: auto;
    left: auto;
    display: flex;
    width: 400px;
  }
}

#lastUpdate {
  font-size: large;
}

.header {
  font-size: large;
  margin-top: 30px;
  margin-bottom: 0;
}

#menu {
  display: flex;
  margin-top: 25px;
}

form {
  margin-top: 15px;
}

button {
  font-size: large;
  width: 100px;
  height: 60px;
  margin-left: 50px;
  border-radius: 10px;
  background-color: transparent;
  border: 2px solid black;
  font-family: "Roboto Mono", monospace;
}

button:hover {
  background-color: dimgray;
  cursor: pointer;
}

select:hover {
  cursor: pointer;
}

h1 {
  line-height: 1;
  margin: 0;
  padding: 0;
}

#container,
.box-top {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#gameBoard {
  padding: 5px;
  width: auto;
  overflow: hidden;
  background-color: blue;
}

#gameBoard td {
  padding: 2px;
  border: 4px solid blue;
  position: relative;
  width: 100px;
  height: 100px;
  cursor: pointer;
  background-color: #b0c4de;
}

.hover {
  background-color: dimgray;
}

#coin {
  position: absolute;
  display: none;
  left: 0;
  top: 0;
  width: 51px;
  height: 51px;
  border-radius: 50%;
}

#gameBoard td {
  border-radius: 50%;
}

#gameBoard .coin {
  cursor: default;
}

#gameBoard tr {
  width: 100%;
  height: 100%;
}

#gameBoard .human-coin,
.human-coin {
  border-radius: 50%;
  background: darkred;
}

#gameBoard .cpu-coin,
.cpu-coin {
  border-radius: 50%;
  background: darkkhaki;
}

#gameBoard .win {
  border-radius: 50%;
  animation: animationFrames 1s infinite;
  -webkit-animation: animationFrames 1s infinite;
  -moz-animation: animationFrames 1s infinite;
  -o-animation: animationFrames 1s infinite;
}

@keyframes animationFrames {
  50% {
    opacity: 0.6;
  }

  100% {
    opacity: 1;
  }
}

select {
  margin-top: 0;
  font-size: 1em;
  font-family: "Roboto Mono", monospace;
  background-color: lightblue;
}

#githubicon {
  position: absolute;
  top: 40px;
  right: 10vw;
  width: 60px;
  height: 60px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
  border-radius: 30px;
}

#githubicon:hover {
  transform: translateY(-5px);
  background-color: linen;
}

#homeIcon {
  position: absolute;
  top: 40px;
  left: 7vw;
  width: 70px;
  height: 70px;
  transition: 1.5s;
  z-index: 0;
  background-color: transparent;
}

#homeIcon:hover {
  transform: translateY(-5px);
}

#githubicon:hover {
  transform: translateY(-5px);
  background-color: linen;
}

#floatingCircles {
  padding-top: 10px;
  display: flex;
  height: 120px;
  margin-left: 11px;
}

.circleDiv {
  border-radius: 60px;
  background-color: #b0c4de;
  width: 98px !important;
  height: 98px !important;
}

.floatingCircle {
  background-color: transparent;
  border-radius: 90px;
  width: 100px !important;
  height: 100px !important;
  margin-right: 15px;
}

@keyframes gbounce {
  0% {
    transform: translateY(12px);
  }

  50% {
    transform: translateY(-15px);
  }

  100% {
    transform: translateY(15px);
  }
}

@keyframes glow {
  0% {
    background-color: darkred;
  }

  50% {
    background-color: #b0c4de;
  }

  100% {
    background-color: darkred;
  }
}

.bounce {
  animation-name: gbounce;
  animation-duration: 2.5s;
  animation-iteration-count: infinite;
  background-color: darkred;
  border: 2px solid darkgray;
}

.glow {
  animation-name: glow;
  animation-duration: 2.5s;
  animation-iteration-count: infinite;
  background-color: darkred;
  border: 2px solid darkgray;
}

#uiBlocker {
  display: none;
  position: absolute;
  z-index: 100000;
  background-color: transparent;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}

#lastUpdate {
  margin-top: 20px;
  font-size: small;
}

.shadowBox {
  box-shadow: 2px 4px 8px 2px rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.block {
  display: block !important;
}

.progressCursor {
  cursor: progress;
}

#modal-box {
  z-index: 1;
  position: fixed;
  padding: 0;
  margin: 0;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
}

#inner-modal-box {
  position: relative;
  text-align: center;
  border-radius: 5px;
  box-shadow: inset 0 0 0 4px black;
  margin-left: 40vw;
  margin-top: 10vh;
  background-color: azure;
  width: 350px;
  height: 15vh;
}

#modal-message {
  vertical-align: middle;
  font-family: "Roboto Mono", monospace !important;
  font-size: xx-large;
  line-height: 15vh;
}

#close-button {
  position: absolute;
  right: 20px;
  top: 10px;
  font-size: 30px;
  font-weight: bold;
  border-radius: 30px;
  width: 25px;
  height: 25px;
  line-height: 25px;
  box-shadow: inset 0 0 0 1px black;
}

#close-button:hover {
  cursor: pointer;
  color: red;
}

.animation {
  position: relative;
  margin-left: 135px;
  border: none !important;
}

.animation div {
  position: absolute;
  top: -35px;
  width: 13px !important;
  height: 13px !important;
  border-radius: 50%;
  background: black !important;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.animation div:nth-child(1) {
  left: 8px;
  animation: animation1 0.6s infinite;
}

.animation div:nth-child(2) {
  left: 8px;
  animation: animation2 0.6s infinite;
}

.animation div:nth-child(3) {
  left: 32px;
  animation: animation2 0.6s infinite;
}

.animation div:nth-child(4) {
  left: 56px;
  animation: animation3 0.6s infinite;
}

@keyframes animation1 {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes animation3 {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

@keyframes animation2 {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(24px, 0);
  }
}

